Bug 728546 - [libvirt] [logs] null dereference while preparing libvirt logs
Summary: [libvirt] [logs] null dereference while preparing libvirt logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.1
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Libvirt Maintainers
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 711206
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 14:07 UTC by RHEL Product and Program Management
Modified: 2013-01-11 04:01 UTC (History)
20 users (show)

Fixed In Version: libvirt-0.8.7-18.el6_1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-23 14:40:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1197 normal SHIPPED_LIVE Moderate: libvirt security and bug fix update 2011-08-23 14:40:22 UTC

Description RHEL Product and Program Management 2011-08-05 14:07:07 UTC
This bug has been copied from bug #711206 and has been proposed
to be backported to 6.1 z-stream (EUS).

Comment 7 Vivian Bian 2011-08-15 07:11:34 UTC
tested with 
libvirt-0.8.7-18.el6_1.1.x86_64
qemu-kvm-0.12.1.2-2.160.el6_1.7.x86_64
kernel-2.6.32-131.12.1.el6.x86_64

According to bug 711206

$ cat > demo.c <<EOF
#include <libvirt/libvirt.h>
#include <stdlib.h>

int main(void) {
  virInitialize();
  virDomainDestroy(NULL);
}

EOF

$ gcc -o demo -lvirt demo.c

This is what you should see for correct behaviour:

$ LIBVIRT_DEBUG=1 ./demo 2>&1 | grep Destroy
13:58:15.178: 11291: debug : virDomainDestroy:2049 : dom=(nil), (VM:
name=(null), uuid=), 
libvir: Domain error : invalid domain pointer in virDomainDestroy

So set bug status to VERIFIED

Comment 8 errata-xmlrpc 2011-08-23 14:40:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1197.html


Note You need to log in before you can comment on or make changes to this bug.